Package org.apache.velocity.runtime.directive

# Class Macro.MacroArg

java.lang.Object
org.apache.velocity.runtime.directive.Macro.MacroArg

Enclosing class:
  `Macro`

public static class Macro.MacroArg extends Object
MacroArgs holds the information for a single argument in a macro definition. The arguments for a macro are passed around as a list of these objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`Node`
`defaultVal`
If the argument was given a default value, then this contains the base of the AST tree of the value.
`String`
`name`
Name of the argument with '$' stripped off

## Constructor Summary

Constructors
Constructor
Description
`MacroArg()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name
Name of the argument with '$' stripped off

### defaultVal

public Node defaultVal
If the argument was given a default value, then this contains the base of the AST tree of the value. Otherwise it is null.

## Constructor Details

### MacroArg

public MacroArg()